<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.aveplus.avepay_cpocket.music.base.vm.BaseViewModelList" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rcv_data"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/transparent" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="@{viewModel.isDataAvailable}">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:src="@drawable/ic_empty" />

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                android:id="@+id/tv_no_data"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/msg_not_found_data"
                android:textColor="@color/grey"
                android:textSize="@dimen/text_size_xlarge" />
        </LinearLayout>
    </RelativeLayout>

</layout>